/*!
 * Copyright (c) 2020 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Eric Poirier <eric.poirier@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

@import '~eclipsefdn-solstice-assets/less/quicksilver/styles.less';
@import '_variables.less';
@import (less) '~owl.carousel/dist/assets/owl.carousel.min.css';
@import (less) '~owl.carousel/dist/assets/owl.theme.default.min.css';

@import '_components/quicksilver/featured-eclipsefdn.less';
@import '_components/quicksilver/featured-events.less';
@import '_components/quicksilver/featured-members.less';
@import '_components/quicksilver/featured-news.less';
@import '_components/quicksilver/featured-newsletter.less';
@import '_components/quicksilver/featured-stats.less';
@import '~eclipsefdn-solstice-assets/less/_components/quicksilver/featured-testimonials.less';
@import '~eclipsefdn-solstice-assets/less/_components/quicksilver/event-timeline.less';
@import '_components/quicksilver/featured-highlights.less';
@import '_components/adopters.less';
@import '_components/buttons.less';
@import '_components/classes-typography.less';
@import '_components/events.less';
@import '_components/header.less';
@import '_components/homepage.less';
@import '_components/projects.less';
@import '_components/resources.less';
@import '_components/sidebar.less';
@import '_components/mobile-sidebar.less';
@import '_components/forms.less';

@import 'transient.less';

.custom-header-container {
  & {
    position: relative;
    z-index: 100;
  }
  img {
    @media (min-width: 768px) {
      width: 130px;
      right: -45px;
      top: -160px;
    }
    width: 80px;
    position: absolute;
    top: -290px;
    right: calc(50% - 40px);
  }
  .icon-container {
    @media (min-width: 768px) {
      width: 155px;
      height: 165px;
      right: -55px;
      top: -160px;
    }
    border-radius: 40px;
    width: 100px;
    height: 105px;
    position: absolute;
    top: -290px;
    right: calc(50% - 50px);
    filter: blur(10px);
    background-color: rgba(255, 255, 255, 0.7);
  }
}

main {
  padding-top: 10px;
  .each-resource {
    display: flex;
    flex-wrap: wrap;
  }
}

.featured-footer.featured-story-dark {
  &:extend(.featured-newsletter);
}

.anniversary-container {
  display: flex;
  align-items: center;
  margin-top: 25px;
  margin-bottom: 25px;
}

.anniversary-resources-ctn {
  & {
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    @media (min-width: 768px) {
      flex-direction: row;
    }
  }
  .anniversary-img-ctn {
    & {
      @media (min-width: 768px) {
        height: 205px;
      }
      display: flex;
      flex-direction: column;
      align-items: center;
    }
    .anniversary-img-wrapper {
      & {
        @media (min-width: 768px) {
          height: 135px;
        }
        height: 155px;
        display: flex;
        align-items: center;
      }
      img {
        max-width: 100%;
        max-height: 100%;
      }
    }
    .anniversary-img-wrapper-col {
      & {
        flex-direction: column;
        justify-content: center;
      }
      img {
        max-height: 45%;
        margin: 5px 0;
      }
    }
    a {
      margin: 20px 0;
      font-size: 20px;
      font-weight: 500;
      color: black;
    }
  }
}

.grey-row {
  position: relative;
  .left-background-color,
  .right-background-color {
    background-color: #d6d2d2;
    position: absolute;
    width: 50vw;
    top: 0;
    bottom: 0;
    z-index: -10;
  }
  .right-background-color {
    background-color: #ededed;
    right: 0;
    width: 100vw;

    @media (min-width: 900px) {
      width: 50vw;
    }
  }
}
.anniversary-video-ctn {
  & {
    flex-direction: column;
    @media (min-width: 900px) {
      flex-direction: row;
    }
  }
  .section-home-dt.column {
    & {
      width: 100%;
      @media (min-width: 900px) {
        flex: 1;
        &:first-child {
          margin-right: 40px;
        }
        &:last-child {
          margin-left: 40px;
        }
      }
    }
    .anniversary-url-ctn {
      display: flex;
      flex-direction: column;
      a {
        font-size: 30px;
        font-weight: 700;
        color: black;
        padding-bottom: 10px;
        margin-bottom: 20px;
        border-bottom: 10px @orange solid;
      }
    }
    .anniversary-video {
      width: 100%;
      min-width: 400px;
    }
  }
}
.anniversary-blog-ctn {
  @media (min-width: 768px) {
    .row {
      display: flex;
    }
  }
  .blog-item {
    & {
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: space-between;
    }
    a {
      text-decoration: none;
      color: #4c4d4e;
    }
    img {
      width: 100%;
      margin-bottom: 20px;
    }
    .blog-description {
      width: 100%;
    }
    .blog-date {
      width: 160px;
      color: #434240;
      margin-top: 10px;
      padding-top: 20px;
      font-weight: 600;
      border-top: 3px #707070 solid;
    }
  }
}
.anniversary-blog-title,
.anniversary-social-title {
  font-weight: 500;
  margin-bottom: 40px;
}

// membership page start
.iot-membership-container {
  h1,
  h2 {
    text-align: center;
    @media (min-width: 768px) {
      text-align: left;
    }
  }
  .iot-membership-content-container {
    @media (max-width: 991px) {
      padding-bottom: 50px;
    }
    .btn-container {
      display: flex;
      flex-direction: column;
      align-items: center;
      @media (min-width: 768px) {
        align-items: flex-start;
      }
      a.btn-download.btn.btn-primary {
        width: 270px;
      }
    }
  }

  .white-row {
    background-color: #fff;
  }

  .card-container {
    position: relative;
    min-width: 228px;
    .glyph-highlight {
      left: calc(50% - 37.5px);
      .glyph-container {
        background-color: @brand-primary;
      }
      .glyph-bottom {
        border-top: calc(75px / 4) solid @brand-primary;
      }
    }
    .panel {
      margin-bottom: 0;
      background-color: #6f6e6e;
      color: #fff;
    }
    .card-panel {
      box-shadow: 1px 2px 14px rgba(0, 0, 0, 0.3);
    }
    .card-panel.with-glyph .panel-body,
    .card-container .card-panel.with-glyph.horizontal-card .panel-body {
      margin-top: 85px;
    }
  }
  .fees-container {
    display: flex;
    flex-direction: row;
    .fees-card {
      border-radius: 1em;
      background-color: @brand-primary;
      padding: 15px 10px;
      margin: 0 5px 40px 5px;
      width: 33%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-direction: column;
      box-shadow: 1px 2px 14px rgba(0, 0, 0, 0.2);
      .fees-title {
        color: #fff;
        padding-bottom: 10px;
        width: 100%;
        height: 130px;
        text-align: center;
      }
      .vertical-divider {
        background-color: #fff;
        height: 2px;
        width: 100%;
        margin: 5px 0;
      }
      p {
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        width: auto;
        height: 70px;
        margin: 0;
        font-weight: 600;
      }
    }

    .fees-card-light-grey {
      background-color: #aba9a6;
    }

    .fees-card-dark-grey {
      background-color: #504f4d;
      color: #fff;
    }

    @media (min-width: 768px) {
      flex-direction: column;
      .fees-card {
        flex-direction: row;
        padding: 30px 25px;
        width: auto;
        .fees-title {
          border: none;
          width: 180px;
          height: auto;
          padding-bottom: 0;
        }
        p {
          width: 16%;
          height: auto;
        }
        .vertical-divider {
          width: 2px;
          min-height: 50px;
          height: 100%;
          margin: 0 10px;
        }
      }
    }
  }

  .description-card {
    background-color: #f5f5f5;
    box-shadow: 1px 2px 14px rgba(0, 0, 0, 0.12);
    flex-direction: column;
    p {
      text-align: start;
      font-weight: 400;
      width: 100%;
    }
    .horizontal-divider {
      height: 2px;
      width: 150px;
      background-color: #030303;
      margin: 30px 0;
    }
  }
}

// membership page end

// Event pages
.agenda-2022 h2 {
  text-align: center;
}
.eclipsefdn-agenda-schedule {
  margin-bottom: 10px;
  .table {
    td {
      padding-top: 20px;
    }
    th {
      @media (min-width: 768px) {
        min-width: 200px;
      }
    }
  }
  ul {
    margin-bottom: 10px;
    padding-left: 0;
    li {
      list-style: none;
      margin-bottom: 10px;
      font-weight: 400;
    }
  }
}
// Event pages end
